Subject: Re: [Teas-ns-dt] draft-nsdt-teas-transport-slice-definition-02-comments

From: Zhenghaomian <[email-masked]>
Date: Mon, 18 May 2020 01:23:25 +0000

(re-sending as the upper bound of recipients was achieved for previous one…)

FYI, some description about the (un)availability in ITU-T, refer to G.827 section 6.1 as follow:

The term "availability" refers to the availability ratio (AR), which is the proportion of time that a path is in the available state during an observation period. AR is calculated by dividing the total available time during the observation period by the duration of the observation period.
The converse of AR, the unavailability ratio (UR), is the proportion of time that an end-to-end path is in the unavailable state during an observation period. UR is calculated by dividing the total unavailable time during the observation period by the duration of the observation period.
AR + UR = 1
The observation period is recommended to be one year.

Regarding the text so far, we miss the characteristic about the ‘ratio’, which specified the measurement is based on time; and we also have not indicated whether a ‘degradation’ should be counted as ‘available’ or ‘unavailable’, as Greg proposed. Personally I slightly prefer the degradation to be available.

My 2 cents,
Haomian

发件人: Zhenghaomian
发送时间: 2020年5月18日 9:09
收件人: 'Greg Mirsky' <[email-masked]>; Eric Gray <eric.gray=[email-masked]>
抄送: LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>; [email-masked]; Luis M. Contreras <[email-masked]>; Jari Arkko <[email-masked]>; Shunsuke Homma <[email-masked]>; Kiran Makhijani <[email-masked]>; Shunsuke Homma <[email-masked]>; Rokui, Reza (Nokia - CA/Ottawa) <[email-masked]>
主题: 答复: [Teas-ns-dt] draft-nsdt-teas-transport-slice-definition-02-comments

FYI, some description about the (un)availability in ITU-T, refer to G.827 section 6.1 as follow:

The term "availability" refers to the availability ratio (AR), which is the proportion of time that a path is in the available state during an observation period. AR is calculated by dividing the total available time during the observation period by the duration of the observation period.
The converse of AR, the unavailability ratio (UR), is the proportion of time that an end-to-end path is in the unavailable state during an observation period. UR is calculated by dividing the total unavailable time during the observation period by the duration of the observation period.
AR + UR = 1
The observation period is recommended to be one year.

Regarding the text so far, we miss the characteristic about the ‘ratio’, which specified the measurement is based on time; and we also have not indicated whether a ‘degradation’ should be counted as ‘available’ or ‘unavailable’, as Greg proposed. Personally I slightly prefer the degradation to be available.

My 2 cents,
Haomian

发件人: Teas-ns-dt [mailto:[email-masked]] 代表 Greg Mirsky
发送时间: 2020年5月16日 8:40
收件人: Eric Gray <eric.gray=[email-masked]<mailto:eric.gray=[email-masked]>>
抄送: LUIS MIGUEL CONTRERAS MURILLO <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; Luis M. Contreras <[email-masked]<mailto:[email-masked]>>; Jari Arkko <[email-masked]<mailto:[email-masked]>>; Shunsuke Homma <[email-masked]<mailto:[email-masked]>>; Kiran Makhijani <[email-masked]<mailto:[email-masked]>>; Shunsuke Homma <[email-masked]<mailto:[email-masked]>>; Rokui, Reza (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>>
主题: Re: [Teas-ns-dt] draft-nsdt-teas-transport-slice-definition-02-comments

Hi Erik, et al.,
thank you for all the comments and suggestions to strengthen the document. I want to touch on the use of the term "availability" (with updates you've proposed):
o Availability: concerns with how often a service is lost (or degraded to the point of unacceptable performance) due to a fault, and how quickly the lost service network becomes available after a fault. The requirements are specified through mean time between failures (MTBF), and mean time to repair (MTTR) to acquire availability metrics.
I agree with you that availability is affected by both network failures and network performance degradation below a certain threshold. Then, if I follow that definition, the way of measuring or calculating the availability noted in the second sentence does not appear to be accurate as it only includes failure and does not consider periods of performance degradation. Since this draft, as I understand, is intended to provide the definitions to be used throughout other TS drafts, perhaps leaving in the definition will be sufficient, while the availability measurement/calculation method will be outside the scope of the document.
What do you think?

Regards,
Greg

On Wed, May 13, 2020 at 6:41 AM Eric Gray <eric.gray=[email-masked]<mailto:[email-masked]>> wrote:
Authors/Editors of draft-nsdt-teas-transport-slice-definition-02:

              Please consider the attached revised and annotated version of your -02 version of this draft.

              This version shows markup for removing or modifying some highly contentious or questionable text and sections – including annotations as to why this text should be removed.

              It also includes comments and questions about other text that may not be necessary, or should be reworded.

              One section (section 4.1.1) is shown as removed, but Jari had made a couple of other suggestions about that text immediately prior to the last meeting.  I do not recall if there was any decision about these alternatives and I could not track down the meeting notes from that meeting.

              A key observation about this draft is that it is supposed to be a definitions draft – i.e. – it defines the terminology we are using or expect to use in other drafts related to this work..

              There is some danger in having the ambition to see “definition” as something we can stretch to encompass “specification” in this draft.

              It is important also to realize that the parameters and objectives of transport slice services listed in this draft are explicitly intended to be representative examples, rather than an exhaustive list – hence it is not necessary to include any for which there is no consensus to include.

--
Eric
--
Teas-ns-dt mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/teas-ns-dt